Package groovy.util.slurpersupport

## Class NamespaceAwareHashMap

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<java.lang.String,​java.lang.String>
    - - groovy.util.slurpersupport.NamespaceAwareHashMap

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.String,​java.lang.String>`

      public class NamespaceAwareHashMap
      extends java.util.HashMap<java.lang.String,​java.lang.String>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamespaceAwareHashMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `containsKey​(java.lang.Object key)` |
    `java.lang.String` | `get​(java.lang.Object key)` |
    `java.util.Map` | `getNamespaceTagHints()` |
    `java.lang.String` | `put​(java.lang.String key, java.lang.String value)` |
    `void` | `putAll​(java.util.Map<? extends java.lang.String,​? extends java.lang.String> m)` |
    `java.lang.String` | `remove​(java.lang.Object key)` |
    `void` | `setNamespaceTagHints​(java.util.Map namespaceTagHints)` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, putIfAbsent, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### NamespaceAwareHashMap

          public NamespaceAwareHashMap()

  - ### Method Detail

    - #### setNamespaceTagHints

          public void setNamespaceTagHints​(java.util.Map namespaceTagHints)

    - #### getNamespaceTagHints

          public java.util.Map getNamespaceTagHints()

    - #### get

          public java.lang.String get​(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<java.lang.String,​java.lang.String>`
      Overrides:
        `get` in class `java.util.HashMap<java.lang.String,​java.lang.String>`

    - #### remove

          public java.lang.String remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<java.lang.String,​java.lang.String>`
      Overrides:
        `remove` in class `java.util.HashMap<java.lang.String,​java.lang.String>`

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.String,​java.lang.String>`
      Overrides:
        `containsKey` in class `java.util.HashMap<java.lang.String,​java.lang.String>`

    - #### put

          public java.lang.String put​(java.lang.String key,
                                      java.lang.String value)

      Specified by:
        `put` in interface `java.util.Map<java.lang.String,​java.lang.String>`
      Overrides:
        `put` in class `java.util.HashMap<java.lang.String,​java.lang.String>`

    - #### putAll

          public void putAll​(java.util.Map<? extends java.lang.String,​? extends java.lang.String> m)

      Specified by:
        `putAll` in interface `java.util.Map<java.lang.String,​java.lang.String>`
      Overrides:
        `putAll` in class `java.util.HashMap<java.lang.String,​java.lang.String>`